from django.urls import path
from api.recharge import recharge

urlpatterns = [
    path("", recharge.RechargeAPI.as_view()),
    path("request/", recharge.RechargeAPI.as_view()),
    path("bbps-request/", recharge.ThirdPartyRechargeAPI.as_view()),
    path("verify/", recharge.RechargeAPI.as_view()),
    path("get-by-retailer/<int:retailerID>/", recharge.RechargeTransactionsAPI.as_view()),
    path("find-operator/<str:mobile>/", recharge.FindOperatorsAPI.as_view()),
    path("find-plans/<str:cricle>/<str:operatorcode>/", recharge.FindPlanOffersAPI.as_view()),
    path("find-offers/<str:mobile_no>/<str:operatorcode>/", recharge.FindROffersAPI.as_view()),
    path("fetch-bill/", recharge.EmantorFetchBill.as_view()),
    path("fetch-bill/plan/<str:accountno>/<int:operatorcode>/", recharge.FetchBill.as_view()),
    path("status/<int:id>/", recharge.StatusThirdPartyRecharge.as_view()),
]
